You are currently browsing the tag archive for the ‘Haskell’ tag.

Cabal cannot install the GLFW package version 0.4.2 for GHC 7.0.3, at least on Mac OS X 10.6. 64-bit. This seems to be a well-know bug but I couldn’t find a solution online. To fix the problem, you can install the GLFW library directly, then do

sudo cabal install glfw -fdynamic

The “dynamic” flag avoids that cabal tries to recompile its version of GLFW.

Advertisements